﻿Imports System.ComponentModel
Imports Leap
Public Class CircleModel
    Implements INotifyPropertyChanged
    Private no As Integer = 0
    Private ctlr As Controller
    Private listener As LeapListener

    Public Sub New()
        ctlr = New Controller
        listener = New LeapListener
        ctlr.AddListener(listener)
        AddHandler listener.LeapCircle, AddressOf CircleAction
    End Sub

    Private myImageAngle As Integer

    Public Property ImageAngle As Integer
        Get
            Return myImageAngle
        End Get
        Set(value As Integer)
            myImageAngle = value
            OnPropertyChanged("ImageAngle")
        End Set
    End Property

    Private myImageAngle2 As Integer

    Public Property ImageAngle2 As Integer
        Get
            Return myImageAngle2
        End Get
        Set(value As Integer)
            myImageAngle2 = value
            OnPropertyChanged("ImageAngle2")
        End Set
    End Property



    Private Sub CircleAction(ByVal sd As CircleEnum)
        Select Case sd
            Case CircleEnum.Circle
                Select Case Index
                    Case 1
                        ImageAngle = no
                        no += 10
                        Exit Select
                    Case 2
                        ImageAngle2 = no
                        no += 10
                        Exit Select
                    Case Else
                        Exit Sub
                End Select

        End Select
    End Sub

    Public Event PropertyChanged(sender As Object, e As PropertyChangedEventArgs) Implements INotifyPropertyChanged.PropertyChanged

    Private Sub OnPropertyChanged(ByVal propertyName As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
    End Sub
End Class
